diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/taxonomy.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/taxonomy.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/taxonomy.php	2013-07-16 09:21:05.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/taxonomy.php	2013-09-23 21:54:08.000000000 -0500
***************
*** 1986,2042 ****
  }
  
  /**
!  * Adds a new term to the database. Optionally marks it as an alias of an existing term.
   *
!  * Error handling is assigned for the nonexistence of the $taxonomy and $term
!  * parameters before inserting. If both the term id and taxonomy exist
!  * previously, then an array will be returned that contains the term id and the
!  * contents of what is returned. The keys of the array are 'term_id' and
!  * 'term_taxonomy_id' containing numeric values.
!  *
!  * It is assumed that the term does not yet exist or the above will apply. The
!  * term will be first added to the term table and then related to the taxonomy
!  * if everything is well. If everything is correct, then several actions will be
!  * run prior to a filter and then several actions will be run after the filter
!  * is run.
!  *
!  * The arguments decide how the term is handled based on the $args parameter.
!  * The following is a list of the available overrides and the defaults.
!  *
!  * 'alias_of'. There is no default, but if added, expected is the slug that the
!  * term will be an alias of. Expected to be a string.
!  *
!  * 'description'. There is no default. If exists, will be added to the database
!  * along with the term. Expected to be a string.
!  *
!  * 'parent'. Expected to be numeric and default is 0 (zero). Will assign value
!  * of 'parent' to the term.
!  *
!  * 'slug'. Expected to be a string. There is no default.
!  *
!  * If 'slug' argument exists then the slug will be checked to see if it is not
!  * a valid term. If that check succeeds (it is not a valid term), then it is
!  * added and the term id is given. If it fails, then a check is made to whether
!  * the taxonomy is hierarchical and the parent argument is not empty. If the
!  * second check succeeds, the term will be inserted and the term id will be
!  * given.
!  *
!  * @package WordPress
!  * @subpackage Taxonomy
   * @since 2.3.0
-  * @uses $wpdb
   *
!  * @uses apply_filters() Calls 'pre_insert_term' hook with term and taxonomy as parameters.
!  * @uses do_action() Calls 'create_term' hook with the term id and taxonomy id as parameters.
!  * @uses do_action() Calls 'create_$taxonomy' hook with term id and taxonomy id as parameters.
!  * @uses apply_filters() Calls 'term_id_filter' hook with term id and taxonomy id as parameters.
!  * @uses do_action() Calls 'created_term' hook with the term id and taxonomy id as parameters.
!  * @uses do_action() Calls 'created_$taxonomy' hook with term id and taxonomy id as parameters.
!  *
!  * @param string $term The term to add or update.
!  * @param string $taxonomy The taxonomy to which to add the term
!  * @param array|string $args Change the values of the inserted term
!  * @return array|WP_Error The Term ID and Term Taxonomy ID
   */
  function wp_insert_term( $term, $taxonomy, $args = array() ) {
  	global $wpdb;
--- 2062,2110 ----
  }
  
  /**
!  * Add a new term to the database.
   *
!  * A non-existent term is inserted in the following sequence:
!  * 1. The term is added to the term table, then related to the taxonomy.
!  * 2. If everything is correct, several actions are fired.
!  * 3. The 'term_id_filter' is evaluated.
!  * 4. The term cache is cleaned.
!  * 5. Several more actions are fired.
!  * 6. An array is returned containing the term_id and term_taxonomy_id.
!  *
!  * If the 'slug' argument is not empty, then it is checked to see if the term
!  * is invalid. If it is not a valid, existing term, it is added and the term_id
!  * is given.
!  *
!  * If the taxonomy is hierarchical, and the 'parent' argument is not empty,
!  * the term is inserted and the term_id will be given.
! 
!  * Error handling:
!  * If $taxonomy does not exist or $term is empty,
!  * a WP_Error object will be returned.
!  *
!  * If the term already exists on the same hierarchical level,
!  * or the term slug and name are not unique, a WP_Error object will be returned.
!  *
!  * @global wpdb $wpdb The WordPress database object.
! 
   * @since 2.3.0
   *
!  * @param string       $term     The term to add or update.
!  * @param string       $taxonomy The taxonomy to which to add the term
!  * @param array|string $args {
!  *     Arguments to change values of the inserted term.
!  *
!  *     @type string 'alias_of'    Slug of the term to make this term an alias of.
!  *                                Default empty string. Accepts a term slug.
!  *     @type string 'description' The term description.
!  *                                Default empty string.
!  *     @type int    'parent'      The id of the parent term.
!  *                                Default 0.
!  *     @type string 'slug'        The term slug to use.
!  *                                Default empty string.
!  * }
!  * @return array|WP_Error An array containing the term_id and term_taxonomy_id, WP_Error otherwise.
   */
  function wp_insert_term( $term, $taxonomy, $args = array() ) {
  	global $wpdb;
***************
*** 2077,2085 ****
  		} else {
  			// The alias isn't in a group, so let's create a new one and firstly add the alias term to it.
  			$term_group = $wpdb->get_var("SELECT MAX(term_group) FROM $wpdb->terms") + 1;
! 			do_action( 'edit_terms', $alias->term_id );
  			$wpdb->update($wpdb->terms, compact('term_group'), array('term_id' => $alias->term_id) );
! 			do_action( 'edited_terms', $alias->term_id );
  		}
  	}
  
--- 2145,2153 ----
  		} else {
  			// The alias isn't in a group, so let's create a new one and firstly add the alias term to it.
  			$term_group = $wpdb->get_var("SELECT MAX(term_group) FROM $wpdb->terms") + 1;
! 			do_action( 'edit_terms', $alias->term_id, $taxonomy );
  			$wpdb->update($wpdb->terms, compact('term_group'), array('term_id' => $alias->term_id) );
! 			do_action( 'edited_terms', $alias->term_id, $taxonomy );
  		}
  	}
  
***************
*** 2118,2126 ****
  	// Seems unreachable, However, Is used in the case that a term name is provided, which sanitizes to an empty string.
  	if ( empty($slug) ) {
  		$slug = sanitize_title($slug, $term_id);
! 		do_action( 'edit_terms', $term_id );
  		$wpdb->update( $wpdb->terms, compact( 'slug' ), compact( 'term_id' ) );
! 		do_action( 'edited_terms', $term_id );
  	}
  
  	$tt_id = $wpdb->get_var( $wpdb->prepare( "SELECT tt.term_taxonomy_id FROM $wpdb->term_taxonomy AS tt INNER JOIN $wpdb->terms AS t ON tt.term_id = t.term_id WHERE tt.taxonomy = %s AND t.term_id = %d", $taxonomy, $term_id ) );
--- 2186,2194 ----
  	// Seems unreachable, However, Is used in the case that a term name is provided, which sanitizes to an empty string.
  	if ( empty($slug) ) {
  		$slug = sanitize_title($slug, $term_id);
! 		do_action( 'edit_terms', $term_id, $taxonomy );
  		$wpdb->update( $wpdb->terms, compact( 'slug' ), compact( 'term_id' ) );
! 		do_action( 'edited_terms', $term_id, $taxonomy );
  	}
  
  	$tt_id = $wpdb->get_var( $wpdb->prepare( "SELECT tt.term_taxonomy_id FROM $wpdb->term_taxonomy AS tt INNER JOIN $wpdb->terms AS t ON tt.term_id = t.term_id WHERE tt.taxonomy = %s AND t.term_id = %d", $taxonomy, $term_id ) );
***************
*** 2377,2384 ****
  	}
  
  	// If we didn't get a unique slug, try appending a number to make it unique.
! 	if ( !empty($args['term_id']) )
! 		$query = $wpdb->prepare( "SELECT slug FROM $wpdb->terms WHERE slug = %s AND term_id != %d", $slug, $args['term_id'] );
  	else
  		$query = $wpdb->prepare( "SELECT slug FROM $wpdb->terms WHERE slug = %s", $slug );
  
--- 2445,2452 ----
  	}
  
  	// If we didn't get a unique slug, try appending a number to make it unique.
! 	if ( ! empty( $term->term_id ) )
! 		$query = $wpdb->prepare( "SELECT slug FROM $wpdb->terms WHERE slug = %s AND term_id != %d", $slug, $term->term_id );
  	else
  		$query = $wpdb->prepare( "SELECT slug FROM $wpdb->terms WHERE slug = %s", $slug );
  
***************
*** 2476,2484 ****
  		} else {
  			// The alias isn't in a group, so let's create a new one and firstly add the alias term to it.
  			$term_group = $wpdb->get_var("SELECT MAX(term_group) FROM $wpdb->terms") + 1;
! 			do_action( 'edit_terms', $alias->term_id );
  			$wpdb->update( $wpdb->terms, compact('term_group'), array( 'term_id' => $alias->term_id ) );
! 			do_action( 'edited_terms', $alias->term_id );
  		}
  	}
  
--- 2544,2552 ----
  		} else {
  			// The alias isn't in a group, so let's create a new one and firstly add the alias term to it.
  			$term_group = $wpdb->get_var("SELECT MAX(term_group) FROM $wpdb->terms") + 1;
! 			do_action( 'edit_terms', $alias->term_id, $taxonomy );
  			$wpdb->update( $wpdb->terms, compact('term_group'), array( 'term_id' => $alias->term_id ) );
! 			do_action( 'edited_terms', $alias->term_id, $taxonomy );
  		}
  	}
  
***************
*** 2495,2507 ****
  		else
  			return new WP_Error('duplicate_term_slug', sprintf(__('The slug &#8220;%s&#8221; is already in use by another term'), $slug));
  	}
! 	do_action( 'edit_terms', $term_id );
  	$wpdb->update($wpdb->terms, compact( 'name', 'slug', 'term_group' ), compact( 'term_id' ) );
  	if ( empty($slug) ) {
  		$slug = sanitize_title($name, $term_id);
  		$wpdb->update( $wpdb->terms, compact( 'slug' ), compact( 'term_id' ) );
  	}
! 	do_action( 'edited_terms', $term_id );
  
  	$tt_id = $wpdb->get_var( $wpdb->prepare( "SELECT tt.term_taxonomy_id FROM $wpdb->term_taxonomy AS tt INNER JOIN $wpdb->terms AS t ON tt.term_id = t.term_id WHERE tt.taxonomy = %s AND t.term_id = %d", $taxonomy, $term_id) );
  	do_action( 'edit_term_taxonomy', $tt_id, $taxonomy );
--- 2563,2575 ----
  		else
  			return new WP_Error('duplicate_term_slug', sprintf(__('The slug &#8220;%s&#8221; is already in use by another term'), $slug));
  	}
! 	do_action( 'edit_terms', $term_id, $taxonomy );
  	$wpdb->update($wpdb->terms, compact( 'name', 'slug', 'term_group' ), compact( 'term_id' ) );
  	if ( empty($slug) ) {
  		$slug = sanitize_title($name, $term_id);
  		$wpdb->update( $wpdb->terms, compact( 'slug' ), compact( 'term_id' ) );
  	}
! 	do_action( 'edited_terms', $term_id, $taxonomy );
  
  	$tt_id = $wpdb->get_var( $wpdb->prepare( "SELECT tt.term_taxonomy_id FROM $wpdb->term_taxonomy AS tt INNER JOIN $wpdb->terms AS t ON tt.term_id = t.term_id WHERE tt.taxonomy = %s AND t.term_id = %d", $taxonomy, $term_id) );
  	do_action( 'edit_term_taxonomy', $tt_id, $taxonomy );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/template-loader.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/template-loader.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/template-loader.php	2012-10-31 18:01:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/template-loader.php	2013-10-06 13:41:09.000000000 -0500
***************
*** 4,18 ****
   * @package WordPress
   */
  if ( defined('WP_USE_THEMES') && WP_USE_THEMES )
! 	do_action('template_redirect');
  
! // Halt template load for HEAD requests. Performance bump. See #14348
  if ( 'HEAD' === $_SERVER['REQUEST_METHOD'] && apply_filters( 'exit_on_http_head', true ) )
  	exit();
  
  // Process feeds and trackbacks even if not using themes.
  if ( is_robots() ) :
! 	do_action('do_robots');
  	return;
  elseif ( is_feed() ) :
  	do_feed();
--- 4,37 ----
   * @package WordPress
   */
  if ( defined('WP_USE_THEMES') && WP_USE_THEMES )
! 	/**
! 	 * Fires before determining which template to load.
! 	 *
! 	 * @since 1.5.2
! 	 */
! 	do_action( 'template_redirect' );
  
! /**
!  * Filter whether to allow 'HEAD' requests to generate content.
!  *
!  * Provides a significant performance bump by exiting before the page
!  * content loads for 'HEAD' requests. See #14348.
!  *
!  * @since 3.5.0
!  *
!  * @param bool $exit Whether to exit without generating any content for 'HEAD' requests. Default true.
!  */
  if ( 'HEAD' === $_SERVER['REQUEST_METHOD'] && apply_filters( 'exit_on_http_head', true ) )
  	exit();
  
  // Process feeds and trackbacks even if not using themes.
  if ( is_robots() ) :
! 	/**
! 	 * Fired when the template loader determines a robots.txt request.
! 	 *
! 	 * @since 2.1.0
! 	 */
! 	do_action( 'do_robots' );
  	return;
  elseif ( is_feed() ) :
  	do_feed();
***************
*** 26,34 ****
  	$template = false;
  	if     ( is_404()            && $template = get_404_template()            ) :
  	elseif ( is_search()         && $template = get_search_template()         ) :
- 	elseif ( is_tax()            && $template = get_taxonomy_template()       ) :
  	elseif ( is_front_page()     && $template = get_front_page_template()     ) :
  	elseif ( is_home()           && $template = get_home_template()           ) :
  	elseif ( is_attachment()     && $template = get_attachment_template()     ) :
  		remove_filter('the_content', 'prepend_attachment');
  	elseif ( is_single()         && $template = get_single_template()         ) :
--- 45,54 ----
  	$template = false;
  	if     ( is_404()            && $template = get_404_template()            ) :
  	elseif ( is_search()         && $template = get_search_template()         ) :
  	elseif ( is_front_page()     && $template = get_front_page_template()     ) :
  	elseif ( is_home()           && $template = get_home_template()           ) :
+ 	elseif ( is_post_type_archive() && $template = get_post_type_archive_template() ) :
+ 	elseif ( is_tax()            && $template = get_taxonomy_template()       ) :
  	elseif ( is_attachment()     && $template = get_attachment_template()     ) :
  		remove_filter('the_content', 'prepend_attachment');
  	elseif ( is_single()         && $template = get_single_template()         ) :
***************
*** 43,48 ****
--- 63,75 ----
  	else :
  		$template = get_index_template();
  	endif;
+ 	/**
+ 	 * Filter the path of the current template before including it.
+ 	 *
+ 	 * @since 3.0.0
+ 	 *
+ 	 * @param string $template The path of the template to include.
+ 	 */
  	if ( $template = apply_filters( 'template_include', $template ) )
  		include( $template );
  	return;
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/template.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/template.php	2013-03-12 04:30:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/template.php	2013-10-06 14:01:09.000000000 -0500
***************
*** 26,32 ****
  	if ( empty( $templates ) )
  		$templates = array("{$type}.php");
  
! 	return apply_filters( "{$type}_template", locate_template( $templates ) );
  }
  
  /**
--- 26,44 ----
  	if ( empty( $templates ) )
  		$templates = array("{$type}.php");
  
! 	$template = locate_template( $templates );
! 	/**
! 	 * Filter the path of the queried template by type.
! 	 *
! 	 * The dynamic portion of the hook name, $type, refers to the filename
! 	 * -- minus the extension -- of the file to load. This hook also applies
! 	 * to various types of files loaded as part of the Template Hierarchy.
! 	 *
! 	 * @since 1.5.2
! 	 *
! 	 * @param string $template Path to the template. @see locate_template()
! 	 */
! 	return apply_filters( "{$type}_template", $template );
  }
  
  /**
***************
*** 73,78 ****
--- 85,109 ----
  }
  
  /**
+  * Retrieve path of post type archive template in current or parent template.
+  *
+  * @since 3.7.0
+  *
+  * @return string
+  */
+ function get_post_type_archive_template() {
+ 	$post_type = get_query_var( 'post_type' );
+ 	if ( is_array( $post_type ) )
+ 		$post_type = reset( $post_type );
+ 
+ 	$obj = get_post_type_object( $post_type );
+ 	if ( ! $obj->has_archive )
+ 		return '';
+ 
+ 	return get_archive_template();
+ }
+ 
+ /**
   * Retrieve path of author template in current or parent template.
   *
   * @since 1.5.0
***************
*** 84,90 ****
  
  	$templates = array();
  
! 	if ( $author ) {
  		$templates[] = "author-{$author->user_nicename}.php";
  		$templates[] = "author-{$author->ID}.php";
  	}
--- 115,121 ----
  
  	$templates = array();
  
! 	if ( is_a( $author, 'WP_User' ) ) {
  		$templates[] = "author-{$author->user_nicename}.php";
  		$templates[] = "author-{$author->ID}.php";
  	}
***************
*** 110,116 ****
  
  	$templates = array();
  
! 	if ( $category ) {
  		$templates[] = "category-{$category->slug}.php";
  		$templates[] = "category-{$category->term_id}.php";
  	}
--- 141,147 ----
  
  	$templates = array();
  
! 	if ( ! empty( $category->slug ) ) {
  		$templates[] = "category-{$category->slug}.php";
  		$templates[] = "category-{$category->term_id}.php";
  	}
***************
*** 136,142 ****
  
  	$templates = array();
  
! 	if ( $tag ) {
  		$templates[] = "tag-{$tag->slug}.php";
  		$templates[] = "tag-{$tag->term_id}.php";
  	}
--- 167,173 ----
  
  	$templates = array();
  
! 	if ( ! empty( $tag->slug ) ) {
  		$templates[] = "tag-{$tag->slug}.php";
  		$templates[] = "tag-{$tag->term_id}.php";
  	}
***************
*** 167,173 ****
  
  	$templates = array();
  
! 	if ( $term ) {
  		$taxonomy = $term->taxonomy;
  		$templates[] = "taxonomy-$taxonomy-{$term->slug}.php";
  		$templates[] = "taxonomy-$taxonomy.php";
--- 198,204 ----
  
  	$templates = array();
  
! 	if ( ! empty( $term->slug ) ) {
  		$taxonomy = $term->taxonomy;
  		$templates[] = "taxonomy-$taxonomy-{$term->slug}.php";
  		$templates[] = "taxonomy-$taxonomy.php";
***************
*** 241,247 ****
  	if ( ! $pagename && $id ) {
  		// If a static page is set as the front page, $pagename will not be set. Retrieve it from the queried object
  		$post = get_queried_object();
! 		$pagename = $post->post_name;
  	}
  
  	$templates = array();
--- 272,279 ----
  	if ( ! $pagename && $id ) {
  		// If a static page is set as the front page, $pagename will not be set. Retrieve it from the queried object
  		$post = get_queried_object();
! 		if ( $post )
! 			$pagename = $post->post_name;
  	}
  
  	$templates = array();
***************
*** 290,296 ****
  
  	$templates = array();
  
! 	if ( $object )
  		$templates[] = "single-{$object->post_type}.php";
  	$templates[] = "single.php";
  
--- 322,328 ----
  
  	$templates = array();
  
! 	if ( ! empty( $object->post_type ) )
  		$templates[] = "single-{$object->post_type}.php";
  	$templates[] = "single.php";
  
***************
*** 321,330 ****
  		if ( ! empty( $type ) ) {
  			if ( $template = get_query_template( $type[0] ) )
  				return $template;
! 			elseif ( $template = get_query_template( $type[1] ) )
! 				return $template;
! 			elseif ( $template = get_query_template( "$type[0]_$type[1]" ) )
! 				return $template;
  		}
  	}
  
--- 353,364 ----
  		if ( ! empty( $type ) ) {
  			if ( $template = get_query_template( $type[0] ) )
  				return $template;
! 			elseif ( ! empty( $type[1] ) ) {
! 				if ( $template = get_query_template( $type[1] ) )
! 					return $template;
! 				elseif ( $template = get_query_template( "$type[0]_$type[1]" ) )
! 					return $template;
! 			}
  		}
  	}
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/theme-compat/comments.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/theme-compat/comments.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/theme-compat/comments.php	2012-07-30 13:30:03.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/theme-compat/comments.php	2013-10-02 16:17:09.000000000 -0500
***************
*** 65,71 ****
  <p><?php printf(__('You must be <a href="%s">logged in</a> to post a comment.'), wp_login_url( get_permalink() )); ?></p>
  <?php else : ?>
  
! <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
  
  <?php if ( is_user_logged_in() ) : ?>
  
--- 65,71 ----
  <p><?php printf(__('You must be <a href="%s">logged in</a> to post a comment.'), wp_login_url( get_permalink() )); ?></p>
  <?php else : ?>
  
! <form action="<?php echo site_url(); ?>/wp-comments-post.php" method="post" id="commentform">
  
  <?php if ( is_user_logged_in() ) : ?>
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/theme-compat/comments-popup.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/theme-compat/comments-popup.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/theme-compat/comments-popup.php	2012-11-07 13:56:10.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/theme-compat/comments-popup.php	2013-10-02 16:17:09.000000000 -0500
***************
*** 66,72 ****
  <h2><?php _e('Leave a comment'); ?></h2>
  <p><?php printf(__('Line and paragraph breaks automatic, e-mail address never displayed, <acronym title="Hypertext Markup Language">HTML</acronym> allowed: <code>%s</code>'), allowed_tags()); ?></p>
  
! <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
  <?php if ( $user_ID ) : ?>
  	<p><?php printf(__('Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out &raquo;</a>'), get_edit_user_link(), $user_identity, wp_logout_url(get_permalink())); ?></p>
  <?php else : ?>
--- 66,72 ----
  <h2><?php _e('Leave a comment'); ?></h2>
  <p><?php printf(__('Line and paragraph breaks automatic, e-mail address never displayed, <acronym title="Hypertext Markup Language">HTML</acronym> allowed: <code>%s</code>'), allowed_tags()); ?></p>
  
! <form action="<?php echo site_url(); ?>/wp-comments-post.php" method="post" id="commentform">
  <?php if ( $user_ID ) : ?>
  	<p><?php printf(__('Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out &raquo;</a>'), get_edit_user_link(), $user_identity, wp_logout_url(get_permalink())); ?></p>
  <?php else : ?>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/theme.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/theme.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/theme.php	2013-09-04 12:47:03.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/theme.php	2013-09-05 20:33:09.000000000 -0500
***************
*** 110,118 ****
   * Clears the cache held by get_theme_roots() and WP_Theme.
   *
   * @since 3.5.0
   */
! function wp_clean_themes_cache() {
! 	delete_site_transient('update_themes');
  	search_theme_directories( true );
  	foreach ( wp_get_themes( array( 'errors' => null ) ) as $theme )
  		$theme->cache_delete();
--- 110,120 ----
   * Clears the cache held by get_theme_roots() and WP_Theme.
   *
   * @since 3.5.0
+  * @param bool $clear_update_cache Whether to clear the Theme updates cache
   */
! function wp_clean_themes_cache( $clear_update_cache = true ) {
! 	if ( $clear_update_cache )
! 		delete_site_transient( 'update_themes' );
  	search_theme_directories( true );
  	foreach ( wp_get_themes( array( 'errors' => null ) ) as $theme )
  		$theme->cache_delete();
***************
*** 373,380 ****
  
  		// Start with directories in the root of the current theme directory.
  		$dirs = @ scandir( $theme_root );
! 		if ( ! $dirs )
! 			return false;
  		foreach ( $dirs as $dir ) {
  			if ( ! is_dir( $theme_root . '/' . $dir ) || $dir[0] == '.' || $dir == 'CVS' )
  				continue;
--- 375,384 ----
  
  		// Start with directories in the root of the current theme directory.
  		$dirs = @ scandir( $theme_root );
! 		if ( ! $dirs ) {
! 			trigger_error( "$theme_root is not readable", E_USER_NOTICE );
! 			continue;
! 		}
  		foreach ( $dirs as $dir ) {
  			if ( ! is_dir( $theme_root . '/' . $dir ) || $dir[0] == '.' || $dir == 'CVS' )
  				continue;
***************
*** 390,397 ****
  				// wp-content/themes/a-folder-of-themes/*
  				// wp-content/themes is $theme_root, a-folder-of-themes is $dir, then themes are $sub_dirs
  				$sub_dirs = @ scandir( $theme_root . '/' . $dir );
! 				if ( ! $sub_dirs )
! 					return false;
  				foreach ( $sub_dirs as $sub_dir ) {
  					if ( ! is_dir( $theme_root . '/' . $dir . '/' . $sub_dir ) || $dir[0] == '.' || $dir == 'CVS' )
  						continue;
--- 394,403 ----
  				// wp-content/themes/a-folder-of-themes/*
  				// wp-content/themes is $theme_root, a-folder-of-themes is $dir, then themes are $sub_dirs
  				$sub_dirs = @ scandir( $theme_root . '/' . $dir );
! 				if ( ! $sub_dirs ) {
! 					trigger_error( "$theme_root/$dir is not readable", E_USER_NOTICE );
! 					continue;
! 				}
  				foreach ( $sub_dirs as $sub_dir ) {
  					if ( ! is_dir( $theme_root . '/' . $dir . '/' . $sub_dir ) || $dir[0] == '.' || $dir == 'CVS' )
  						continue;
***************
*** 643,649 ****
  	)
  		return $matches[1] . "#$matches[2] onclick=$matches[2]return false;" . $matches[4];
  
! 	$link = add_query_arg( array( 'preview' => 1, 'template' => $_GET['template'], 'stylesheet' => @$_GET['stylesheet'], 'preview_iframe' => 1 ), $matches[3] );
  	if ( 0 === strpos($link, 'preview=1') )
  		$link = "?$link";
  	return $matches[1] . esc_attr( $link ) . $matches[4];
--- 649,658 ----
  	)
  		return $matches[1] . "#$matches[2] onclick=$matches[2]return false;" . $matches[4];
  
! 	$stylesheet = isset( $_GET['stylesheet'] ) ? $_GET['stylesheet'] : '';
! 	$template   = isset( $_GET['template'] )   ? $_GET['template']   : '';
! 
! 	$link = add_query_arg( array( 'preview' => 1, 'template' => $template, 'stylesheet' => $stylesheet, 'preview_iframe' => 1 ), $matches[3] );
  	if ( 0 === strpos($link, 'preview=1') )
  		$link = "?$link";
  	return $matches[1] . esc_attr( $link ) . $matches[4];
